Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ImportModule Class Reference
[Plugins]

`#include <ImportModule.h>`

Inherits tlp::WithParameter, and tlp::WithDependency.

Inheritance diagram for tlp::ImportModule:

[legend]
Collaboration diagram for tlp::ImportModule:

[legend]
List of all members.

## Detailed Description

Interface for importModule plug-ins.

## Public Member Functions

- ImportModule (AlgorithmContext context)
- virtual ~ImportModule ()
- virtual bool import (const std::string &)=0

## Public Attributes

- DataSet * dataSet
- Graph * graph
- PluginProgress * pluginProgress

## Constructor & Destructor Documentation

tlp::ImportModule::ImportModule | ( | AlgorithmContext | context | ) | `[inline]`

virtual tlp::ImportModule::~ImportModule | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool tlp::ImportModule::import | ( | const std::string & |  | ) | `[pure virtual]`

## Member Data Documentation

DataSet* tlp::ImportModule::dataSet

Graph* tlp::ImportModule::graph

| It is the Graph where the plug-ins should build the imported graph

PluginProgress* tlp::ImportModule::pluginProgress

Tulip Software by LaBRI Visualization Team 2001 - 2010